## IAnjutaEditorHover IAnjutaEditorHover — Text editor hover interface |

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_editor_hover_error_quark ()
void | ianjuta_editor_hover_display ()

## Signals

void | hover-leave | Run Last
void | hover-over | Run Last

## Types and Values

#define | IANJUTA_EDITOR_HOVER_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaEditorHover

## Includes

    #include <libanjuta/interfaces/ianjuta-editor-hover>

## Description

## Functions

### ianjuta_editor_hover_error_quark ()

    GQuark
    ianjuta_editor_hover_error_quark (void);

#### Returns

### ianjuta_editor_hover_display ()

    void
    ianjuta_editor_hover_display (IAnjutaEditorHover *obj,
                                  IAnjutaIterable *position,
                                  const gchar *info,
                                  GError **err);

Show `info` as tooltip

#### Parameters

obj | Self |
info | String to display |
err | Error propagation and reporting |

## Types and Values

### IANJUTA_EDITOR_HOVER_ERROR

    #define IANJUTA_EDITOR_HOVER_ERROR ianjuta_editor_hover_error_quark()

## Signal Details

### The `“hover-leave”` signal

    void
    user_function (IAnjutaEditorHover *obj,
                   IAnjutaIterable    *position,
                   gpointer            user_data)

Flags: Run Last

### The `“hover-over”` signal

    void
    user_function (IAnjutaEditorHover *obj,
                   IAnjutaIterable    *position,
                   gpointer            user_data)

Flags: Run Last